> For the complete documentation index, see [llms.txt](https://docs.novacura.com/flow-connect/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novacura.com/flow-connect/reference/how-to-guides/shared-devices-and-external-authentication.md).

# Shared devices and external authentication

When multiple users share the same device, the external identity provider may keep the previous user's browser session after they sign out of Flow Connect.

Flow Connect removes the user's Client session and connector authentication on sign-out. However, it cannot remove cookies or session information owned by an external identity provider, such as Microsoft Entra ID or IFS Cloud.

This can result in the external identity provider silently using the previous user's account when the next user authenticates.

#### Recommended configuration

For connectors used on shared devices, add the following query parameter to the authentication configuration:

`prompt=select_account`

This instructs supporting identity providers to ask which account should be used instead of automatically using an existing browser session.

If stronger security is required, the following query parameter can be used instead:

`prompt=login`

This instructs supporting identity providers to require the user to authenticate again, rather than relying on an existing browser session. This will typically require the user to enter their username and password again, depending on the identity provider and authentication method (for example, MFA or passwordless authentication).

#### Example flow with **`prompt=select_account`:**

1. User A authenticates to the external system.
2. User A signs out of Flow Connect. Flow Connect removes User A's session and connector authentication.
3. The external identity provider's browser session may remain.
4. User B signs in to Flow Connect and accesses the external system.
5. `prompt=select_account` causes the identity provider to ask which account should be used.
6. Authentication for the selected account is stored as part of User B's Client session.

> Support and exact behavior of `prompt=select_account` and `prompt=login` depend on the external identity provider.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.novacura.com/flow-connect/reference/how-to-guides/shared-devices-and-external-authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
